
Foreman - Bug #4245

New window button for SPICE console does not work

02/04/2014 01:33 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version: 1.4.2   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The console abruptly closes when starting and errors can be seen in /var/log/libvirt/qemu/<vm>.log:

((null):4782): Spice-Warning **: reds.c:2819:reds_handle_ssl_accept: SSL_accept failed, error=1

and on the local client in /var/log/messages:

spice: (remote-viewer:4383): GSpice-WARNING *: loading ca certs from /var/tmp/trustore.pem-BDU5AX failed

Spice-Warning *: ssl_verify.c:428:openssl_verify: Error in certificate chain verification: self signed certificate in certificate chain

This is because the certificate is not being returned by the cacert method in app/models/compute_resources/foreman/model/ovirt.rb

Associated revisions

Revision 2e417b58 - 03/04/2014 11:08 AM - Jason Montleon 

fixes #4245 - return HTTP body for oVirt SSL CA certificate

Revision c5226dd5 - 03/12/2014 10:42 AM - Jason Montleon 

fixes #4245 - return HTTP body for oVirt SSL CA certificate

(cherry picked from commit 2e417b5824b4e5283586119052aed7b4953e468e)

History

#1 - 02/06/2014 09:45 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.2

https://github.com/theforeman/foreman/pull/1211

#2 - 02/06/2014 12:10 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#3 - 03/03/2014 12:49 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#4 - 03/04/2014 11:09 AM - Dominic Cleal

- translation missing: en.field_release set to 7

#5 - 03/04/2014 01:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2e417b5824b4e5283586119052aed7b4953e468e.
